aboutsummaryrefslogblamecommitdiffstats
path: root/unmaintained/postgresql-old9.1/1q
blob: e8a4d8cd66d114707dc35d36b8fb34f8ccce1cf0 (plain) (tree)



































                                                                           
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=postgresql
pkgver=9.1.5
_engine_ver=${pkgver%.*}
pkgrel=0
pkgdesc="Old PostgreSQL binary to be used with postgresql-upgrade"
url="http://www.postgresql.org/"
arch="all"
license="BSD"
install=""
depends_dev="readline-dev openssl-dev zlib-dev libxml2-dev"
makedepends="$depends_dev"
subpackages=""
source="ftp://ftp.$pkgname.org/pub/source/v$pkgver/$pkgname-$pkgver.tar.bz2
	"

build() {
	cd "$srcdir"/$pkgname-$pkgver || return 1
	./configure --prefix=/usr/lib/postgresql-${_engine_ver} \
		--mandir=/usr/share/man \
		--with-openssl \
		--disable-rpath \
		|| return 1

	make all || return 1
}

package() {
	cd "$srcdir"/$pkgname-$pkgver || return 1
	make DESTDIR="$pkgdir" install || return 1

	# remo stuff not needed for upgrade
#	cd "$pkgdir"/usr/lib/potgresql-${_engine_ver}
}

md5sums="c784decb60615aa94c6a31601bc6ffd2  postgresql-9.1.5.tar.bz2"